Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.stmt.oracle
Class TPlsqlVarDeclStmt

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.TCustomSqlStatement
              gudusoft.gsqlparser.stmt.oracle.TPlsqlStmt
                  gudusoft.gsqlparser.stmt.oracle.TPlsqlVarDeclStmt

All Implemented Interfaces:
  Visitable

    public class TPlsqlVarDeclStmt

extends TPlsqlStmt

Represents declare statement that used to decalre variable, constant, exception and subtype. Or Signifies that the statement is a pragma (compiler directive), including exception_init_pragma, autonomous_transaction_pragma, restrict_references_pragma, serially_resuable_pragma and pragma_timestamp

Field Summary
`static int` | `whatDeclared_constant`
`static int` | `whatDeclared_exception`
`static int` | `whatDeclared_pragma_autonomous_transaction`
`static int` | `whatDeclared_pragma_exception_init`
`static int` | `whatDeclared_pragma_restrict_references`
`static int` | `whatDeclared_pragma_serially_reusable`
`static int` | `whatDeclared_pragma_timestamp`
`static int` | `whatDeclared_subtype`
`static int` | `whatDeclared_variable`

Fields inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`dbvendor, dummytag, joins, parser, plsqlparser, rootNode, sourcetokenlist, sqlstatementtype, tables`

Constructor Summary
`TPlsqlVarDeclStmt()`
`TPlsqlVarDeclStmt(EDbVendor dbvendor)`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`int` | `doParseStatement(TCustomSqlStatement psql)`
`TTypeName` | `getDataType()` Datatype of declared element.
`TObjectName` | `getElementName()` Name of element that declared.
`TExpression` | `getError_number()` Any valid Oracle Database error number.
`TObjectName` | `getException_name()` Name of a user-defined exception declared within the current scope.
`int` | `getHowtoSetValue()` How deafult value of a variable or constant was set.
`boolean` | `getNotNull()` Specifies that no element can have the value NULL.
`TExpression` | `getValue()` Default value of a variable or constant that declared.
`int` | `getWhatDeclared()` Indicates what's kind of element this delcare statement declared such as variable, constant, exception, subtype and various pragma clause.
`void` | `init(java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`
`void` | `setError_number(TExpression error_number)`
`void` | `setException_name(TObjectName exception_name)`
`void` | `setWhatDeclared(int whatDeclared)`

Methods inherited from class gudusoft.gsqlparser.stmt.oracle.TPlsqlStmt
`getEndlabelName, getLabelName, setEndlabelName, setLabelName`

Methods inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`addWhereClause, analyzeFromTable, analyzeJoin, analyzeTablename, checkNonQualifiedColumnReferenceInSubQueryOfUplevelStmt, getCteList, getErrorCount, getOutputClause, getParentStmt, getResultColumnList, getReturningClause, getStatements, getSymbolTable, getTargetTable, getTopClause, getTopStatement, getWhereClause, isnzplsql, isoracleplsql, ispgplsql, linkColumnReferenceToTable, locateVariableOrParameter, OracleStatementCanBeSeparatedByBeginEndPair, parsestatement, setCteList, setOutputClause, setParentStmt, setResultColumnList, setReturningClause, setTargetTable, setTopClause, setWhereClause`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### whatDeclared_variable

    public static final int whatDeclared_variable

See Also:
  Constant Field Values

### whatDeclared_constant

    public static final int whatDeclared_constant

See Also:
  Constant Field Values

### whatDeclared_exception

    public static final int whatDeclared_exception

See Also:
  Constant Field Values

### whatDeclared_subtype

    public static final int whatDeclared_subtype

See Also:
  Constant Field Values

### whatDeclared_pragma_exception_init

    public static final int whatDeclared_pragma_exception_init

See Also:
  Constant Field Values

### whatDeclared_pragma_autonomous_transaction

    public static final int whatDeclared_pragma_autonomous_transaction

See Also:
  Constant Field Values

### whatDeclared_pragma_serially_reusable

    public static final int whatDeclared_pragma_serially_reusable

See Also:
  Constant Field Values

### whatDeclared_pragma_timestamp

    public static final int whatDeclared_pragma_timestamp

See Also:
  Constant Field Values

### whatDeclared_pragma_restrict_references

    public static final int whatDeclared_pragma_restrict_references

See Also:
  Constant Field Values

Constructor Detail

### TPlsqlVarDeclStmt

    public TPlsqlVarDeclStmt()

### TPlsqlVarDeclStmt

    public TPlsqlVarDeclStmt(EDbVendor dbvendor)

Method Detail

### setWhatDeclared

    public void setWhatDeclared(int whatDeclared)

### getWhatDeclared

    public int getWhatDeclared()

  Indicates what's kind of element this delcare statement declared such as variable, constant, exception, subtype and various pragma clause.

  Returns:

### getHowtoSetValue

    public int getHowtoSetValue()

  How deafult value of a variable or constant was set.

  := | DEFAULT

  := `TBaseType.howtoSetValue_assign`

  or DEFAULT keyword `TBaseType.howtoSetValue_default`;

  Returns:

### getValue

    public TExpression getValue()

  Default value of a variable or constant that declared.

  Returns:

### getNotNull

    public boolean getNotNull()

  Specifies that no element can have the value NULL.

  Returns:

### setError_number

    public void setError_number(TExpression error_number)

### setException_name

    public void setException_name(TObjectName exception_name)

### getError_number

    public TExpression getError_number()

  Any valid Oracle Database error number. Used when this class represents exception_init_pragma.

  Returns:

### getException_name

    public TObjectName getException_name()

  Name of a user-defined exception declared within the current scope. Used when this class represents exception_init_pragma.

  Returns:

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3,
                     java.lang.Object arg4)

  Overrides:
    `init` in class `TParseTreeNode`

### getDataType

    public TTypeName getDataType()

  Datatype of declared element.

  Returns:

### doParseStatement

    public int doParseStatement(TCustomSqlStatement psql)

  Overrides:
    `doParseStatement` in class `TCustomSqlStatement`

### getElementName

    public TObjectName getElementName()

  Name of element that declared.

  Returns:

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD